import { AfterViewInit, ElementRef, OnDestroy } from "@angular/core";
import { BehaviorSubject } from "rxjs";
import { BsSwipeContainerDirective } from "../swipe-container/swipe-container.directive";
import * as i0 from "@angular/core";
export declare class BsSwipeDirective implements AfterViewInit, OnDestroy {
    private container;
    private platformId;
    constructor(container: BsSwipeContainerDirective, element: ElementRef<HTMLElement>, platformId: any);
    element: ElementRef<HTMLElement>;
    observer?: ResizeObserver;
    slideHeight$: BehaviorSubject<number>;
    offside: boolean;
    classes: boolean;
    onTouchStart(ev: TouchEvent): void;
    onTouchMove(ev: TouchEvent): void;
    onTouchEnd(ev: TouchEvent): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BsSwipeDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<BsSwipeDirective, "[bsSwipe]", never, { "offside": { "alias": "offside"; "required": false; }; }, {}, never, never, false, never>;
}
